import 'package:flutter/cupertino.dart';

import '../../floative_flutter.dart';
import '../controller/floative_controller.dart';

mixin FloativeViewMixin<Controller extends FloativeController> {
  void dismissKeyboard() {
    Ship.I.navigationKey.currentState.focusScopeNode.requestFocus(FocusNode());
  }

  String translate(String key) {
    return Floative.I.internationalization
        ?.of(Ship.I.currentContext)
        ?.translate(key);
  }
}
