import 'package:flutter/material.dart';

import '../core/controller/floative_controller.dart';
import '../core/floative_base/floative.dart';
import '../ship/ship.dart';

abstract class FloativeStatelessWidget<Controller extends FloativeController>
    extends StatelessWidget {
  void dismissKeyboard() {
    if (Ship.I.navigationKey.currentState.focusScopeNode.canRequestFocus) {
      Ship.I.navigationKey.currentState.focusScopeNode
        ..requestFocus(FocusNode());
    }
  }

  String translate(String key) {
    return Floative.I.internationalization
        ?.of(Ship.I.currentContext)
        ?.translate(key);
  }
}
